#property copyright "T&J Profit Club"
#property link      "http://www.tjprofitclub.com"

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Red
#property indicator_color2 Yellow
#property indicator_color3 Green
#property indicator_width1  2
#property indicator_width2  2
#property indicator_width3  2

string gs_76 = "";
string gs_84;
string gs_92;
bool gi_100 = FALSE;
bool gi_unused_104 = TRUE;
extern int CCIPeriod = 14;
extern int CCILevelUp = 90;
extern int CCILevelDn = -90;
double g_ibuf_112[];
double g_ibuf_116[];
double g_ibuf_120[];

string cip(string as_0) {
   string l_str_concat_8 = "";
   for (int li_16 = 0; li_16 < StringLen(as_0); li_16++) l_str_concat_8 = StringConcatenate(l_str_concat_8, CharToStr(255 - StringGetChar(as_0, li_16)));
   return (l_str_concat_8);
}

int init() {
   gs_84 = StringTrimRight(StringSubstr(cip(gs_76), 0, 100));
   gs_92 = StringTrimLeft(StringSubstr(cip(gs_76), 100, 100));
   SetIndexStyle(0, DRAW_HISTOGRAM, EMPTY);
   SetIndexBuffer(0, g_ibuf_112);
   SetIndexStyle(1, DRAW_HISTOGRAM, EMPTY);
   SetIndexBuffer(1, g_ibuf_116);
   SetIndexStyle(2, DRAW_HISTOGRAM, EMPTY);
   SetIndexBuffer(2, g_ibuf_120);
   return (0);
}

int deinit() {
   return (0);
}

int start() {
   int l_ind_counted_0;
   double l_icci_4;
   int l_acc_number_12 = AccountNumber();
   string ls_unused_16 = l_acc_number_12;
   if (!IsConnected() || l_acc_number_12 <= 0) {
      gi_100 = TRUE;
      gi_unused_104 = TRUE;
      return (0);
   }
   if (gi_100) l_ind_counted_0 = 0;
   else {
      l_ind_counted_0 = IndicatorCounted();
      gi_100 = FALSE;
   }
   if (l_ind_counted_0 < 0) return (-1);
   for (int li_24 = Bars - l_ind_counted_0 - 1; li_24 >= 0; li_24--) {
      l_icci_4 = iCCI(NULL, 0, CCIPeriod, PRICE_TYPICAL, li_24);
      if (l_icci_4 < CCILevelDn) g_ibuf_112[li_24] = l_icci_4;
      if (l_icci_4 >= CCILevelDn && l_icci_4 <= CCILevelUp) g_ibuf_116[li_24] = l_icci_4;
      if (l_icci_4 > CCILevelUp) g_ibuf_120[li_24] = l_icci_4;
   }
   return (0);
}